Draft: FlipDimension

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft FlipDimension and the translation is 7% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Slope.svg Slope

Draft FlipDimension.svg Draft FlipDimension

poziția meniului
Draft → Utilities → Flip Dimension
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Dimension

Description

Descriere

Când se afișează în modul 2D, textul Draft dimensions este afișat aliniat la linia de dimensiuni. Instrumentul Dimensiune încearcă întotdeauna să vă arate textul de dimensiune pe partea corectă a liniei de dimensiune, în funcție de locul în care îl vedeți. În unele cazuri, însă, direcția de vizionare ar putea să nu reflecte intenția spectatorului și orientarea textului de dimensiune ar putea fi inversată. Acest instrument inversează această orientare în obiectele selectate dimension.

Usage

Cum se utilizează

  1. Selectați unul sau mai multe obiecte dimension
  2. Apăsați butonul Draft FlipDimension.png Flip Dimension

Notes

  • Draft Dimensions also have a DateFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()


Arrow-left.svg Previous: Draft Slope.svg Slope